Bug 833824 - Document CloudForms 1.0 -> 1.0.1 System Engine upgrade procedure
Document CloudForms 1.0 -> 1.0.1 System Engine upgrade procedure
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lana Brindley
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 08:39 EDT by James Laska
Modified: 2013-10-23 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 20:41:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2012-06-20 08:39:12 EDT
Description of problem:

As of CloudForms 1.0.1, customers with an existing CloudForms System Engine 1.0 installation will be required to upgrade their system.  A script 'katello-upgrade' is provided to migrate the customers data.  We should document for customers ...

 1) How they determine whether they need to run 'katello-upgrade'
 2) How to update their systems from 1.0 to 1.0.1 (yum update?) 
 3) How to run 'katello-upgrade'

NOTE, the release notes indicate that upgrades are not supported [1].  This will need to be adjusted

[1] https://docs.redhat.com/docs/en-US/CloudForms/1.0/html/Release_Notes/chap-Release_Notes-Cloud_Engine.html#sect-Release_Notes-Cloud_Engine-known_issue_01
Comment 1 Dan Macpherson 2012-06-25 10:38:17 EDT
1. I think the main way customers will determine whether they need to run 'katello-upgrade' is via identifying core changes from the errata advisory RHBA-2012:13272-01:

http://documentation-stage.bne.redhat.com/docs/en-US/CloudForms/1.0/html/Technical_Notes/sect-Technical_Notes-System_Engine-RHBA-2012_13272-01.html

2 and 3. I've placed a procedure in the release notes:
http://documentation-stage.bne.redhat.com/docs/en-US/CloudForms/1.0/html/Release_Notes/chap-Release_Notes-Updates.html

As for the note regarding upgrades not being supported, I'll modify this to link to the upgrade procedure in the same book.

Note You need to log in before you can comment on or make changes to this bug.